<div *ngIf="this.loaderStatus">
  <app-loader></app-loader>
</div>
<div class="page-container">
  <div class="blog-and-author-flex-container">

    <div class="bolg-details-container">
      <h1 class="blog-post-title">{{postDetails.title}}</h1>
      <div class="bolg-detail-image-container">
        <img src="{{postDetails.poster}}" alt="bolg-post-iamge" appImageerror="{{imagesBaseUrl+'no-image-small.jpg'}}">
      </div>

      <div class="details-section-2">
        <div class="icons-and-date-container">
          <p>{{postDetails.publish_date| date: 'dd-MM-yyyy'}}</p>
          <p class="position-relative">
            <span class="icons-container" (click)="likeBlogPost()">
              <img src="{{likeButtonImage}}" alt="heart-icon">
            </span>
            <span class="icons-container" (click)="changeState()" appScrolltotarget="addCommentFormButton">
              <img src="{{iconsBaseUrl+'speech-bubble.png'}}" alt="comment-icon">

            </span>
            <!-- <span class="clipboard">Url Copied to clipboard</span> -->
            <span class="icons-container" appTooltip="Url copied to clipboard">
              <img src="{{iconsBaseUrl+'share.png'}}" alt="share-button-icon">
              <!-- <span class="clipboard">Url Copied to clipboard</span> -->

            </span>
          </p>
        </div>

        <p>{{postDetails.description}}</p>
        <p [innerHtml]="postDetails.content" class="description"></p>
        <div class="comment-line">

          <span>{{postComments.length}} comments</span>
        </div>
        <div>
          <form class="add-comment-form-container" [@hideshowanimation]=currentState novalidate #addCommentForm="ngForm"
            autocomplete="off" (ngSubmit)="postComment(addCommentForm)" >
            <span>Post Comment</span>
            <input type="text" placeholder="User name" name="user" [(ngModel)]="model.user" #user="ngModel" required
              minlength="2" maxlength="30">
            <span class="form-errors">
              <span *ngIf="user.touched && user.errors?.required">User name is required</span>
              <span *ngIf="user.touched && user.errors?.minlength">Please enter minimum 2 characters</span>
            </span>

            <input type="text" placeholder="Comment" name="comment" [(ngModel)]="model.comment" #comment="ngModel"
              required minlength="2" maxlength="120">
            <span class="form-errors">
              <span *ngIf="comment.touched && comment.errors?.required">Comment is required</span>
              <span *ngIf="comment.touched && comment.errors?.minlength">Please enter minimum 2 characters</span>
            </span>
            <div class="post-button-cotainer">
              <button type="submit" [disabled]="addCommentForm.invalid" >POST</button>
            </div>

          </form>
          <div class="comments-container" id="addCommentFormButton">
            <div *ngFor="let cmt of postComments">
              <div class="comment-item-container">
                <div class="commnet-user-name-highligh" appRandomBackgroundColor>{{cmt.user | firstcharonly}}</div>
                <div class="width-100p">
                  <p>{{cmt.content}}</p>
                  <p class="comment-author-and-date"> - {{cmt.user}} <span>{{cmt.date | date: 'dd-MM-yyyy'}}</span></p>

                </div>

              </div>

            </div>
          </div>

        </div>
      </div>
    </div>
    <div class="author-container">
      <div class="author-image-container">
        <img src="{{imagesBaseUrl+'blogger-author.jpg'}}" alt="author-profile">
      </div>
      <p class="author-name">{{postDetails.author}}</p>
      <p class="author-description">Lorem Ipsum is simply dummy text of the printing and typesetting industry.
        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s,
        when an unknown printer took a galley of type and scrambled it to make a type specimen book.
        It has survived not only five centuries, but also the leap into electronic typesetting,
        remaining essentially unchanged. </p>
    </div>
  </div>
</div>

<!-- <h3>Change the div size</h3>
<button (click)="changeState()">Change Size</button>
<br />
<div [@hideshowanimation]=currentState style="width: 100px;height: 100px;background-color: yellow;">
  kjshdisi dsuiidh suid
</div>
<br /> -->
